Bug 73002 - FILEOPEN writer loose many page of text in the attached docx file
Summary: FILEOPEN writer loose many page of text in the attached docx file
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-23 23:56 UTC by David Delma
Modified: 2014-07-20 16:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the content of this file disapears in writer (10.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-23 23:56 UTC, David Delma
Details
content lost in writer file =REPRISE= (10.25 KB, application/wps-office.docx)
2013-12-24 22:03 UTC, David Delma
Details
Comparison, LO right; as you can see minor issue which will be reported seperatly. (86.47 KB, image/png)
2014-07-20 16:13 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Delma 2013-12-23 23:56:36 UTC
Created attachment 91165 [details]
the content of this file disapears in writer

The attached docx file does not show all the text in Writer. many pages are invisible or definitely lost is you save the file in Writer.
Comment 1 Tim Lloyd 2013-12-24 01:15:52 UTC
Hi David, the attached file is in plan text now docx. Could you try to upload the attachment again pls?
Comment 2 David Delma 2013-12-24 22:03:27 UTC
Created attachment 91178 [details]
content lost in writer file =REPRISE=
Comment 3 David Delma 2013-12-24 22:07:21 UTC
I uploaded the file a second time.
Comment 4 Tim Lloyd 2013-12-27 21:38:54 UTC
Hi David, I have recreated the problem. Just to confirm what I am expected to see:

When I open the file in MS word I get 2-3 pages of table of contents, nothing else. When I open the file in LO (Windows portable or Fedora 4.1.4.2) I only see the first 2 lines of the TOC. Does that summarise what you are seeing also?

As a FYI. I also saved the docx file as doc in word but this made no difference when I opened in LO.

Cheers
Comment 5 David Delma 2013-12-28 01:40:52 UTC
Hi Tim,

You have very well summarised the problem also found in LibreOffice 4.2rc1
Comment 6 David Delma 2013-12-28 01:47:01 UTC
(In reply to comment #4)
> Hi David, I have recreated the problem. Just to confirm what I am expected
> to see:
> 
> When I open the file in MS word I get 2-3 pages of table of contents,
> nothing else. When I open the file in LO (Windows portable or Fedora
> 4.1.4.2) I only see the first 2 lines of the TOC. Does that summarise what
> you are seeing also?
> 
> As a FYI. I also saved the docx file as doc in word but this made no
> difference when I opened in LO.
> 
> Cheers

(In reply to comment #4)
> Hi David, I have recreated the problem. Just to confirm what I am expected
> to see:
> 
> When I open the file in MS word I get 2-3 pages of table of contents,
> nothing else. When I open the file in LO (Windows portable or Fedora
> 4.1.4.2) I only see the first 2 lines of the TOC. Does that summarise what
> you are seeing also?
> 
> As a FYI. I also saved the docx file as doc in word but this made no
> difference when I opened in LO.
> 
> Cheers

Hi Tim,

You have very well summarised the problem also found in LibreOffice 4.2rc1
Comment 7 Jorendc 2014-07-20 16:12:30 UTC
Table of Contents is now fully visible (all 2 pages of TOC). It is now on 3 pages due a minor issue on the top of the TOC: the first heading number (I) is between the TOC title and the TOC itself, instead of inside the TOC. Therefore all content is shifted down with 1 line which causes to create 3 pages. Editing this so the number is before the first heading result in a complete correct TOC.

I'll create a separate bug report for this. This bug report, about the fact only 2 lines are shown, can be now closed as RESOLVED WORKSFORME (we don't know which commit fixed the issue).

Tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: a82ff18269e5b37348d402b7c21c3f200068265c
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-20_02:34:36

Kind regards,
Joren
Comment 8 Jorendc 2014-07-20 16:13:18 UTC
Created attachment 103144 [details]
Comparison, LO right; as you can see minor issue which will be reported seperatly.